.implements-filter-wrapper {
    display: flex;
    align-items: center;
    gap: 10px;
    flex: 1;
    flex-wrap: wrap;
}

.implements-filter {
    display: flex;
    gap: 16px;
    font-family: Arial;
}

.implements-filter-item {
    position: relative;
    width: 260px;
}

.implements-filter-select {
    border: 1px solid #ddd;
    border-radius: 10px;
    padding: 10px 40px 10px 14px;
    background: #fff;
    cursor: pointer;
    position: relative;
}

.implements-filter-label {
    font-size: 12px;
    color: #777;
    display: block;
}

.implements-filter-value {
    font-size: 14px;
    font-weight: 600;
    width: 198px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    display: inline-block;
}

.implements-filter-arrow {
    position: absolute;
    right: 14px;
    top: 50%;
    width: 12px;
    height: 12px;
    transform: rotate(0deg);
}

.implements-filter-dropdown {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    background: #fff;
    border-radius: 12px;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.1);
    margin-top: 8px;
    display: none;
    z-index: 10;
}

.implements-filter-dropdown.active {
    display: block;
}

.implements-filter-title {
    padding: 14px;
    font-weight: 600;
    border-bottom: 1px solid #eee;
}

.implements-filter-search {
    padding: 10px;
    position: relative;
}



.implements-filter-search input,.implements-search-box input {
    background: #F3F3F5;
    border-radius: 8px;
    color: #8C8C8C;
    font-weight: 400;
    font-size: 14px;
    line-height: 21px;
    padding: 8px 8px 8px 32px;
    width: 100%;
    background-image: url(/front/images/header-icon/search-icon.svg) !important;
    background-repeat: no-repeat !important;
    background-position: 4% 50% !important;
    background-size: 16px !important;
    outline: none;
    cursor: pointer;
    border: none;
}

.implements-filter-list {
    list-style: none;
    margin: 0;
    padding: 0;
    max-height: 220px;
    overflow: auto;
}

.implements-option {
    padding: 12px 40px 12px 14px;
    border-bottom: 1px solid #f2f2f2;
    cursor: pointer;
    position: relative;
    font-size: 14px;
}

.implements-option:last-child {
    border-bottom: none;
}

.implements-option:hover {
    background: #f7f7f7;
}

.implements-option.active {
    color: #2f55ff;
}


/* RIGHT TICK ICON */

.implements-option.active::after {
    content: "";
    position: absolute;
    right: 20px;
    top: 50%;
    transform: translateY(-50%) rotate(45deg);
    width: 7px;
    height: 12px;
    border: solid #2f55ff;
    border-width: 0 2px 2px 0;
}

.implements-filter.active .implements-filter-arrow {
    transform: rotate(180deg);
}



/* mobile filter css */

.implements-filter-wrapper-mob {}

.mobile-filter-sort-bar {
    display: flex;
    /* border-top: 1px solid #e5e5e5; */
    /* background: #fff; */
    gap: 8px;
}

.mobile-btn {
    flex: 1;
    text-align: center;
    padding: 8px 12px;
    border: 1px solid #e5e5e5;
    border-radius: 50px;
    cursor: pointer;
    background: #f9f9f9;
}

.mobile-btn:last-child {
    border-right: none;
}

.btn-content {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 6px;
}

.btn-text {
    font-size: 14px;
    font-weight: 500;
    color: #333;
}

.btn-icon {
    display: inline-block;
}


.implements-mobile-bar {
    position: sticky;
    top: 52px;
    width: 100%;
    display: flex;
    background: #fff;
    z-index: 9;
    gap: 8px;
}

.implements-btn {
    flex: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    padding: 8px 12px;
    border: 1px solid #ECEDEE;
    border-radius: 50px;
    background: #fbfdff;
    font-weight: 600;
}

.implements-sheet {
    position: fixed;
    inset: 0;
    display: none;
    z-index: 9999;
}

.implements-sheet.active {
    display: block;
}

.implements-overlay {
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, .45);
}

.implements-sheet-box {
    position: absolute;
    bottom: 0;
    width: 100%;
    background: #fff;
    border-radius: 18px 18px 0 0;
    max-height: 90%;
}

.implements-handle {
    width: 50px;
    height: 5px;
    background: #ddd;
    margin: 10px auto;
    border-radius: 10px;
}

.implements-sheet-header {
    display: flex;
    justify-content: space-between;
    padding: 12px 16px;
    font-weight: 600;
}

.implements-sort-list li {
    padding: 16px;
    border-top: 1px solid #eee;
    position: relative;
}

.implements-sort-list li.active {
    color: #3146FF;
    font-weight: 600;
}

.implements-sort-list li.active::after {
    content: "";
    position: absolute;
    right: 20px;
    top: 50%;
    transform: translateY(-50%) rotate(45deg);
    width: 7px;
    height: 12px;
    border: solid #2f55ff;
    border-width: 0 2px 2px 0;
}

.implements-filter-layout {
    display: flex;
    height: 360px;
}

.implements-filter-menu {
    width: 35%;
    background: #f5f6fa;
}

.implements-filter-tab {
    width: 100%;
    padding: 14px;
    border: none;
    background: none;
    text-align: left;
}

.implements-filter-tab.active {
    background: #e9ecff;
    color: #2f55ff;
    font-weight: 600;
}

.implements-filter-content {
    flex: 1;
    padding: 14px;
    overflow: auto;
}

.implements-search {
    width: 100%;
    padding: 8px;
    border: 1px solid #eee;
    border-radius: 6px;
    margin-bottom: 10px;
}

.implements-panel {
    display: none;
}

.implements-panel.active {
    display: block;
}

.implements-filter-wrapper-mob {
    display: flex;
    height: 420px;
    background: #fff;
}

/* LEFT MENU */

.implements-filter-menu {
    width: 35%;
    background: #f3f4f8;
}

.implements-filter-tab {
    padding: 16px;
    font-size: 15px;
    cursor: pointer;
    border-bottom: 1px solid #e5e5e5;
    color: #444;
}

.implements-filter-tab.active {
    background: #e7e9ff;
    color: #3b5bff;
    font-weight: 600;
}


/* RIGHT CONTENT */

.implements-filter-content {
    width: 65%;
    padding: 15px;
    overflow-y: auto;
}

/* SEARCH */

.implements-search-box {
    margin-bottom: 12px;
}

.implements-search {
    width: 100%;
    padding: 10px 12px;
    border-radius: 8px;
    border: 1px solid #e4e4e4;
    background: #f7f7f7;
    font-size: 14px;
}


/* LIST */

.implements-filter-list,
.implements-sort-list {
    list-style: none;
    padding: 0;
    margin: 0;
}

.implements-filter-list.mob-filter-list {
    max-height: 100%;
}


.implements-filter-list label {
    display: flex;
    align-items: center;
    gap: 10px;
    justify-content: space-between;
    font-size: 15px;
    padding: 10px 0px;
    border-bottom: 1px solid #00000014
}

.implements-filter-list.mob-filter-list li:last-child label {
    border-bottom: none;
}

.implements-name {
    flex: 1;
    margin-left: 8px;
    font-weight: 600;
}

.implements-count {
    color: #999;
    font-size: 13px;
}


/* CHECKBOX */

.implements-filter-list input {
    accent-color: #3b5bff;
    width: 16px;
    height: 16px;
}

/* LABEL STYLE */

.implements-checkbox {
    display: flex;
    align-items: center;
    gap: 10px;
    cursor: pointer;
    position: relative;
}


/* HIDE DEFAULT CHECKBOX */

.implements-checkbox input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
}


/* CUSTOM BOX */

.implements-checkmark {
    width: 18px;
    height: 18px;
    background: #eee;
    border-radius: 4px;
    position: relative;
    flex-shrink: 0;
    transition: all .2s ease;
}


/* CHECKED BACKGROUND */

.implements-checkbox input:checked+.implements-checkmark {
    background: #3b5bff;
}


/* CHECK ICON */

.implements-checkmark::after {
    content: "";
    position: absolute;
    display: none;
    left: 6px;
    top: 2px;
    width: 5px;
    height: 10px;
    border: solid #fff;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
}


/* SHOW ICON WHEN CHECKED */

.implements-checkbox input:checked+.implements-checkmark::after {
    display: block;
}


/* FOOTER */

.implements-filter-footer {
    display: flex;
    gap: 12px;
    padding: 14px;
    border-top: 1px solid #eee;
    background: #fff;
}

.implements-clear-btn {
    flex: 1;
    background: #f4eded;
    color: #ff5b5b;
    border: none;
    padding: 12px;
    border-radius: 10px;
    font-weight: 600;
}

.implements-apply-btn {
    flex: 1;
    background: #d92b2b;
    color: #fff;
    border: none;
    padding: 12px;
    border-radius: 10px;
    font-weight: 600;
}


.implements-close {
    width: 28px;
    height: 28px;
    border-radius: 50%;
    background: #F0F0F0;
    border: none;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
}